Summary: The secure software updater
Name: swup
Version: 2.3.17
Release: 3tr
License: GPL
Group: System/Base
Source0: %{name}-%{version}.tar.bz2
Patch0: swup-2.3.17-multiproviders-fix.patch
ExclusiveOs: Linux
Requires: rpm, rpm-python, gnupg, swupconf, sysklogd
Requires: python >= 1.5.2
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch
Provides: softwareupdater

%description
SWUP - SoftWare UPdater is an extension for existing software packaging
systems to facilitate automatic and secure update and install. SWUP
handles dependencies between software packages, and is able to fetch
additional required software when installing or upgrading.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/log/swup
make
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 0755 $RPM_BUILD_ROOT/usr/sbin
cp -a $RPM_BUILD_ROOT/usr/bin/swup $RPM_BUILD_ROOT/usr/sbin/swup
for f in `find $RPM_BUILD_ROOT/usr/lib/swup -name \*.py`; do
    touch ${f}c
done
for f in `find $RPM_BUILD_ROOT/usr/lib/python2.2/site-packages/swuplib -name \*.py`; do
    touch ${f}c
done
for i in $RPM_BUILD_ROOT/var/log/swup/{info,errors,warnings}; do
   touch $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
python -c "import compileall; compileall.compile_dir('/usr/lib/swup')"
python -c "import compileall; compileall.compile_dir('/usr/lib/python2.2/site-packages/swuplib')"

%files
%defattr(0755,root,root)
%doc docs/*
/usr/sbin/swup
%dir /usr/lib/swup
/usr/lib/swup/*.py
%dir /usr/lib/python2.2/site-packages/swuplib
%dir /usr/lib/python2.2/site-packages/swuplib/driver
/usr/lib/python2.2/site-packages/swuplib/*.py
/usr/lib/python2.2/site-packages/swuplib/driver/*.py
/usr/share/man/man1/swup.1.gz
/usr/share/man/man5/swup.5.gz
%dir /etc/swup
%dir %attr(0700,-,-) /etc/swup/gnupg
%ghost /usr/lib/swup/*.pyc
%ghost /usr/lib/python2.2/site-packages/swuplib/*.pyc
%ghost /usr/lib/python2.2/site-packages/swuplib/driver/*.pyc

%changelog
* Wed Jun 23 2004 Chr. Toldnes <christht at trustix dot org> 2.3.17-3tr
- Compile python files in swuplib as well

* Wed Jun 23 2004 Chr. Toldnes <christht at trustix dot org> 2.3.17-2tr
- Fixed bug regarding wrong selection when multiple packages provide same
  resource

* Wed Jun 23 2004 Chr. Toldnes <christht at trustix dot org> 2.3.17-1tr
- New upstream for TSL 2.0

* Thu Oct 30 2003 Chr. Toldnes <christht at trustix dot org> 2.0.2-4tr
- moved gpg stuff to swupconf

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 2.0.2-3tsl
- Removed trustix gpg key

* Sat Sep 27 2003 Chr. Toldnes <christht at trustix dot com> 2.0.2-2tr
- Gpg fixes

* Thu Aug 14 2003 Chr. Toldnes <christht at trustix dot com> 2.0.2-1tr
- New upstream version fixes bug related to the sitelist.

* Thu Jul  2 2003 Chr. Toldnes <christht at trustix dot com> 2.0.1-1ct
- New upstream version. Includes multiinstall changes  from erlendbm.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.0-3tr
- Added patch to prevent multiinstall of the same package/version.  Take II.

* Fri Jun 20 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.0-2tr
- Added patch to prevent multiinstall of the same package/version.

* Thu Jun 19 2003 Chr. H. Toldnes <christht at trustix dot com> 2.0.0-1tr
- New upstream version: 2.0.0

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.99.8-2tr
- Big rebuild

* Tue Jun 17 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.8-1ct
- New upstream version, 2.0.0-RC8
- (re-)add (simple) download information.

* Fri Jun 13 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.7-1ct
- New upstream version, 2.0.0-RC7
- No more '--package'. BW compat.
- No more duplicate reqs in the description output.
- all bugs and feature requests closed -> this will probably be the last 
  RC. Please test a lot.

* Wed Jun 11 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.6-1ct
- New upstream version, 2.0.0-RC6
- Now even show md5sum in description

* Wed Jun 11 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.5-1ct
- New upstream version, 2.0.0-RC5
- A bit late, since we're at RC4, but added new functionality: 
  --describe <package>

* Tue Jun 10 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.4-1ct
- New upstream version, 2.0.0-RC4

* Tue Jun 10 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.3-1ct
- New upstream version, 2.0.0-RC3

* Wed May 28 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.2-1ct
- New upstream version, 2.0.0-RC2
- Code + doc cleanup
- major speed improvements in resolver

* Mon May 26 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.1-1ct
- New upstream version, 2.0.0-RC1

* Thu May 22 2003 Chr. H. Toldnes <christht at trustix dot com> 1.99.0-1ct
- New upstream version, 2.0.0-RC0
- New version scheme: 
  N.99.M = RC-M before final release (N+1).0.0 
  N.98.M = BETA-M before final release (N+1).0.0
  N.97.M = TP-M before final release (N+1).0.0
  (Examples: 1.99.0 = 2.0.0-RC0, 1.97.5 = 2.0.0-TP5)

* Tue May 20 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.34-1ct
- New upstream version.

* Mon May 19 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.33-1ct
- New upstream version.

* Wed Apr 30 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.32-1ct
- New upstream version.

* Fri Apr 25 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.31-1ct
- New upstream version.

* Fri Apr 25 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.30-1ct
- New upstream version. (Release often and early?? :) )

* Fri Apr 25 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.29-1ct
- New upstream version.

* Fri Apr 25 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.28-1ct
- New upstream version.

* Thu Apr 24 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.27-1ct
- New upstream version.

* Thu Apr 24 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.26-1ct
- New upstream version.

* Thu Apr 24 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.25-1ct
- New upstream version.

* Thu Apr 24 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.24-1ct
- New upstream version.

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com> 0.1.23-2em
- Removed swup ownership of logfiles.

* Mon Apr  8 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.23-1ct 
- New upstream version.

* Fri Apr  4 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.22-1ct
- New upstream version.

* Fri Apr  4 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.21-1ct
- New upstream version.

* Thu Apr  3 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.20-1ct
- New upstream version.

* Thu Apr  3 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.19-2ct
- Now swup owns and creates the various logfiles used by syslogd

* Wed Apr  2 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.19-1ct
- New upstream version.

* Wed Apr  2 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.18-1ct
- New upstream version.

* Tue Apr  1 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.17-1ct
- New upstream version.

* Fri Mar 21 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.16-1ct
- New upstream version. Fixes (#693907)

* Fri Mar 21 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.15-2ct
- Minor fix.

* Thu Mar 20 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.15-1ct
- Minor upgrade: 0.1.15

* Thu Mar 20 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.14-1ct
- New minor version with better handling of faulty signatures.
- Fixed error introduced in 0.1.12

* Mon Mar 17 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.13-1ct
- New minor version fix (#685891): 0.1.13

* Mon Mar 17 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.12-1ct
- New minor version to fix (#682769): 0.1.12

* Mon Mar 17 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.11-1ct
- New minor release with better warnings when using deprecated options

* Tue Mar 11 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.10-1ct
- Changed man-page to include the priority/class change.
- New minor release, including latest patches.

* Mon Mar 10 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.9-5ct
- Added patch to use class instead of priority (Patch1)

* Mon Mar 10 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.9-4ct
- Added patch from kenr (patch0) fix bugs 698086, 694241, 693909

* Thu Feb 27 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.9-3ct
- rpmmodule.so is provided by rpm-python. rpmmodule is only needed for 
  rdfgen if it is to be signing packages created by a newer version of 
  rpm than the one of rpm-python.

* Thu Feb 20 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.9-2ct
- Now requires rpmmodule

* Thu Feb 13 2003 Chr. H. Toldnes <christht at trustix dot com> 0.1.9-1ct
- Released as swup-0.1.9
- Renamed and rebuilt to fit TSL 2.0

* Fri Feb  7 2003 Chr. H. Toldnes <christht at trustix dot com> 0.0.20030206-2ct
- Fixed bug # 678008, (patch 0)

* Thu Feb  6 2003 Chr. H. Toldnes <christht at trustix dot com> 0.0.20030206-1ct
- Snapshot version from cvs dated 06-02-2003

* Fri Nov  1 2002 Chr. H. Toldnes <christht at trustix dot com> 0.1.7-6ct
- more secure permissions on /etc/swup/gnupg
- moved swup.conf to separate package.

* Tue Jul 16 2002 Chr. H. Toldnes <christht at trustix dot com> 0.1.7-5ct
- Rebuild for tsl 2.0

* Mon Apr 29 2002 Chr. H. Toldnes <christht at trustix dot com>
- Small change in swup.conf.
- Added Provides: txpi

* Fri Mar  1 2002 Chr. H. Toldnes <christht at trustix dot com>
- Updated trustix.pub.gpg

* Fri Jul 13 2001 Oystein Viggen <oysteivi at trustix dot com>
- Update swup.conf for TSL 1.5

* Thu Jun 28 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to 0.1.7

* Mon Jun 18 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to 0.1.5

*Tue Jun 12 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to 0.1.4

* Thu Apr  5 2001 Alexander Reelsen <ar at trustix dot com>
- Updated to 0.1.3
- Fixed config file to point to correct paths

* Tue Mar 13 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to swup-0.0.8

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to swup-0.0.7

* Wed Jan 10 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- initial swup rpm package.
